AsterNet Class Library (Sandcastle documentation)
AsterNet Class Library (Sandcastle documentation)
AsterNET.FastAGI
AGIConnectionHandler Class
AGIConnectionHandler Constructor
AGIConnectionHandler Methods

| AGIConnectionHandler Class

An AGIConnectionHandler is created and run by the AGIServer whenever a new socket connection from an Asterisk Server is received.
It reads the request using an AGIReader and runs the AGIScript configured to handle this type of request. Finally it closes the socket connection.
Inheritance Hierarchy
System
Object
AsterNET.FastAGI
AGIConnectionHandler

Namespace: AsterNET.FastAGI
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public class AGIConnectionHandler

    Public Class AGIConnectionHandler

    public ref class AGIConnectionHandler

    type AGIConnectionHandler =  class end

The AGIConnectionHandler type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| AGIConnectionHandler | Creates a new AGIConnectionHandler to handle the given socket connection.

Top
Methods

| Name | Description
--- | --- | ---
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
| Run |
| ToString | Returns a string that represents the current object. (Inherited from Object.)

Top
See Also

#### Reference

AsterNET.FastAGI Namespace